Subject: Re: YA snapshot available [Re: new snapshot with some tty/WinMe fixes]
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: "Pierre A. Humblet" <[email-masked]>
Date: Sat, 17 Jan 2004 00:16:29 -0500

On Fri, Jan 16, 2004 at 11:47:57PM -0500, Pierre A. Humblet wrote:
>On Fri, Jan 16, 2004 at 10:49:02PM -0500, Christopher Faylor wrote:
>> On Fri, Jan 16, 2004 at 09:21:35PM -0500, Pierre A. Humblet wrote:
>> >On Fri, Jan 16, 2004 at 04:52:59PM -0500, Christopher Faylor wrote:
>> >> On Fri, Jan 16, 2004 at 03:05:53PM -0500, Pierre A. Humblet wrote:
>> >> >H:\>gcc try_forksetsid.c
>> >> >
>> >> >H:\>sh -c "./a"
>> >> >waiting for children using tty0 to terminate
>> >> >waiting for children using tty0 to terminate
>> >> >
>> >> >It's motivated by a weirdness I saw last night with exim, where the
>> >> >setsid() is present.
>> >> 
>> >> Did my latest cvs checkin fix this?  It seems to for me but I don't have
>> >> time for extensive testing.
>> >
>> >It does, but when I uncomment the setsid() in the program and run from
>> >command.com, sh -c ./a.exe stays in the foreground (no prompt) when
>> >CYGWIN=notty.  Things are OK with CYGWIN=tty.
>> 
>> A fix to fhandler_console::close seems to rectify this behavior.  Strange
>> that it worked ok on XP.
>
>CYGWIN_ME-4.90 hpn5170x 1.5.6(0.108/3/2) 2004-01-16 23:22 i686 unknown unknown Cygwin
>
>Great, all my tty tests pass.
>
>The build problem reported previously persists...
>
>I have observed something else (a few weeks?), fairly reproducible:
>make stops prematurely with a "Hangup" message, as in

As always, in the absence of any debugging detail, I can only fix what I
can duplicate myself.

I'm pretty much at the end of my rope as far as Windows Me is concerned.
I don't intend on devoting much more time to trying to fix it.  So,
1.5.6 will probably be released with these problems.

That said, again, I am not seeing any problems myself.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/